Subject: Re: bug#63674: 30.0.50; Possible miscompilation of cl-structs?

From: Andrea Corallo <[email-masked]>
Date: Sun, 28 May 2023 10:42:15 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: Brian Leung <[email-masked]>, [email-masked]
>> From: Andrea Corallo <[email-masked]>
>> Date: Wed, 24 May 2023 13:18:34 +0000
>> 
>> Mattias Engdegård <[email-masked]> writes:
>> 
>> >> After the latest changes to native compilation, I see a failure here:
>> >> https://github.com/nix-community/emacs-overlay/actions/runs/5059662673/jobs/9081521991#step:6:7010. 
>> >
>> > CC:ing Andrea.
>> 
>> Thanks, will look at as soon as I can.
>> 
>> PS I merged 63679 63679 63681 as I believe are the same.
>
> Your merge didn't succeed, it seems.

Ah this is the mail I've got back form debbugs:

=====

Processing commands for [email-masked]:

> merge 63679 63679 63681
bug#63679: 30.0.50; package-delete: native-compile warning on startup
bug#63681: build error from native-comp: void function ("emacs-lisp/package.el" package-desc-p)
Merged 63679 63681.

End of message, stopping processing here.

Please contact [email-masked] if you need assistance.

GNU bugs database, https://debbugs.gnu.org/

=====

Not sure why it didn't work then, I assumed it did but maybe I read this
wrong.

Thanks

  Andrea